PingOne Platform APIs

Update Phone Delivery Settings (select Syniverse channels)

 

PUT {{apiPath}}/environments/{{envID}}/notificationsSettings/phoneDeliverySettings/{{syniverseChannelsSenderId}}

This example uses the phoneDeliverySettings endpoint to specify the Syniverse channel that should be used for sending PingOne notifications.

The ID used at the end of the URL is the ID of the sender that was returned in the initial call to create the sender.

The remaining parameters and their values can be taken from the reponse to the initial create call, or you can send a GET request that specifies the ID of the sender in the URL.

Prerequisites

Refer to Notifications and Phone Delivery Settings for important overview information.

Request Model
Property Type Required?

authToken

String

Required

channels

Object

Required

deliveryConfigurationsExist

Boolean

Required

id

String

Required

name

String

Required

provider

String

Required

smsTopicSubscription

Object

Required

voiceTopicSubscription

Object

Required

Headers

Authorization      Bearer {{accessToken}}

Content-Type      application/json

Body

raw ( application/json )

{
    "id": "0d1f49b8-aab3-4181-b4e3-26a9290f314f",
    "name": "Syniverse Channels notification sender",
    "provider": "CUSTOM_SYNIVERSE_CHANNELS",
    "authToken": "{{syniverseAuthToken}}",
    "channels": [
        {
            "selected": true,
            "available": true,
            "createdAt": "2026-01-26T09:04:18.916Z",
            "name": "Voice Channel",
            "priority": "NORMAL",
            "id": "GXq1CJDblpOpwKFKWI3kG1",
            "capabilities": [
                "VOICE"
            ]
        },
        {
            "selected": false,
            "available": true,
            "createdAt": "2026-01-26T09:04:18.949Z",
            "name": "SMS Channel",
            "priority": "NORMAL",
            "id": "cuOvbtxLJ9Wtv118vmXRi3",
            "capabilities": [
                "SMS"
            ]
        },
        {
            "selected": false,
            "available": true,
            "createdAt": "2026-01-26T09:04:19.033Z",
            "name": "Test Channel",
            "priority": "NORMAL",
            "id": "X9S8jjBwgdK4yy1E9pMWi2"
        }
    ],
   "deliveryConfigurationsExist": true,
    "smsTopicSubscription": {
        "subscribed": true,
        "startDateStr": "2026-03-10T08:30:49Z"
    },
    "voiceTopicSubscription": {
        "subscribed": true,
        "startDateStr": "2026-03-10T08:31:04Z"
    }
}

Example Request

  • cURL

  • C#

  • Go

  • HTTP

  • Java

  • jQuery

  • NodeJS

  • Python

  • PHP

  • Ruby

  • Swift

curl --location --globoff --request PUT '{{apiPath}}/environments/{{envID}}/notificationsSettings/phoneDeliverySettings/{{syniverseChannelsSenderId}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{accessToken}}' \
--data '{
    "id": "0d1f49b8-aab3-4181-b4e3-26a9290f314f",
    "name": "Syniverse Channels notification sender",
    "provider": "CUSTOM_SYNIVERSE_CHANNELS",
    "authToken": "{{syniverseAuthToken}}",
    "channels": [
        {
            "selected": true,
            "available": true,
            "createdAt": "2026-01-26T09:04:18.916Z",
            "name": "Voice Channel",
            "priority": "NORMAL",
            "id": "GXq1CJDblpOpwKFKWI3kG1",
            "capabilities": [
                "VOICE"
            ]
        },
        {
            "selected": false,
            "available": true,
            "createdAt": "2026-01-26T09:04:18.949Z",
            "name": "SMS Channel",
            "priority": "NORMAL",
            "id": "cuOvbtxLJ9Wtv118vmXRi3",
            "capabilities": [
                "SMS"
            ]
        },
        {
            "selected": false,
            "available": true,
            "createdAt": "2026-01-26T09:04:19.033Z",
            "name": "Test Channel",
            "priority": "NORMAL",
            "id": "X9S8jjBwgdK4yy1E9pMWi2"
        }
    ],
   "deliveryConfigurationsExist": true,
    "smsTopicSubscription": {
        "subscribed": true,
        "startDateStr": "2026-03-10T08:30:49Z"
    },
    "voiceTopicSubscription": {
        "subscribed": true,
        "startDateStr": "2026-03-10T08:31:04Z"
    }
}'
var options = new RestClientOptions("{{apiPath}}/environments/{{envID}}/notificationsSettings/phoneDeliverySettings/{{syniverseChannelsSenderId}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Put);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer {{accessToken}}");
var body = @"{" + "\n" +
@"    ""id"": ""0d1f49b8-aab3-4181-b4e3-26a9290f314f""," + "\n" +
@"    ""name"": ""Syniverse Channels notification sender""," + "\n" +
@"    ""provider"": ""CUSTOM_SYNIVERSE_CHANNELS""," + "\n" +
@"    ""authToken"": ""{{syniverseAuthToken}}""," + "\n" +
@"    ""channels"": [" + "\n" +
@"        {" + "\n" +
@"            ""selected"": true," + "\n" +
@"            ""available"": true," + "\n" +
@"            ""createdAt"": ""2026-01-26T09:04:18.916Z""," + "\n" +
@"            ""name"": ""Voice Channel""," + "\n" +
@"            ""priority"": ""NORMAL""," + "\n" +
@"            ""id"": ""GXq1CJDblpOpwKFKWI3kG1""," + "\n" +
@"            ""capabilities"": [" + "\n" +
@"                ""VOICE""" + "\n" +
@"            ]" + "\n" +
@"        }," + "\n" +
@"        {" + "\n" +
@"            ""selected"": false," + "\n" +
@"            ""available"": true," + "\n" +
@"            ""createdAt"": ""2026-01-26T09:04:18.949Z""," + "\n" +
@"            ""name"": ""SMS Channel""," + "\n" +
@"            ""priority"": ""NORMAL""," + "\n" +
@"            ""id"": ""cuOvbtxLJ9Wtv118vmXRi3""," + "\n" +
@"            ""capabilities"": [" + "\n" +
@"                ""SMS""" + "\n" +
@"            ]" + "\n" +
@"        }," + "\n" +
@"        {" + "\n" +
@"            ""selected"": false," + "\n" +
@"            ""available"": true," + "\n" +
@"            ""createdAt"": ""2026-01-26T09:04:19.033Z""," + "\n" +
@"            ""name"": ""Test Channel""," + "\n" +
@"            ""priority"": ""NORMAL""," + "\n" +
@"            ""id"": ""X9S8jjBwgdK4yy1E9pMWi2""" + "\n" +
@"        }" + "\n" +
@"    ]," + "\n" +
@"   ""deliveryConfigurationsExist"": true," + "\n" +
@"    ""smsTopicSubscription"": {" + "\n" +
@"        ""subscribed"": true," + "\n" +
@"        ""startDateStr"": ""2026-03-10T08:30:49Z""" + "\n" +
@"    }," + "\n" +
@"    ""voiceTopicSubscription"": {" + "\n" +
@"        ""subscribed"": true," + "\n" +
@"        ""startDateStr"": ""2026-03-10T08:31:04Z""" + "\n" +
@"    }" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/environments/{{envID}}/notificationsSettings/phoneDeliverySettings/{{syniverseChannelsSenderId}}"
  method := "PUT"

  payload := strings.NewReader(`{
    "id": "0d1f49b8-aab3-4181-b4e3-26a9290f314f",
    "name": "Syniverse Channels notification sender",
    "provider": "CUSTOM_SYNIVERSE_CHANNELS",
    "authToken": "{{syniverseAuthToken}}",
    "channels": [
        {
            "selected": true,
            "available": true,
            "createdAt": "2026-01-26T09:04:18.916Z",
            "name": "Voice Channel",
            "priority": "NORMAL",
            "id": "GXq1CJDblpOpwKFKWI3kG1",
            "capabilities": [
                "VOICE"
            ]
        },
        {
            "selected": false,
            "available": true,
            "createdAt": "2026-01-26T09:04:18.949Z",
            "name": "SMS Channel",
            "priority": "NORMAL",
            "id": "cuOvbtxLJ9Wtv118vmXRi3",
            "capabilities": [
                "SMS"
            ]
        },
        {
            "selected": false,
            "available": true,
            "createdAt": "2026-01-26T09:04:19.033Z",
            "name": "Test Channel",
            "priority": "NORMAL",
            "id": "X9S8jjBwgdK4yy1E9pMWi2"
        }
    ],
   "deliveryConfigurationsExist": true,
    "smsTopicSubscription": {
        "subscribed": true,
        "startDateStr": "2026-03-10T08:30:49Z"
    },
    "voiceTopicSubscription": {
        "subscribed": true,
        "startDateStr": "2026-03-10T08:31:04Z"
    }
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Content-Type", "application/json")
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
PUT /environments/{{envID}}/notificationsSettings/phoneDeliverySettings/{{syniverseChannelsSenderId}} HTTP/1.1
Host: {{apiPath}}
Content-Type: application/json
Authorization: Bearer {{accessToken}}

{
    "id": "0d1f49b8-aab3-4181-b4e3-26a9290f314f",
    "name": "Syniverse Channels notification sender",
    "provider": "CUSTOM_SYNIVERSE_CHANNELS",
    "authToken": "{{syniverseAuthToken}}",
    "channels": [
        {
            "selected": true,
            "available": true,
            "createdAt": "2026-01-26T09:04:18.916Z",
            "name": "Voice Channel",
            "priority": "NORMAL",
            "id": "GXq1CJDblpOpwKFKWI3kG1",
            "capabilities": [
                "VOICE"
            ]
        },
        {
            "selected": false,
            "available": true,
            "createdAt": "2026-01-26T09:04:18.949Z",
            "name": "SMS Channel",
            "priority": "NORMAL",
            "id": "cuOvbtxLJ9Wtv118vmXRi3",
            "capabilities": [
                "SMS"
            ]
        },
        {
            "selected": false,
            "available": true,
            "createdAt": "2026-01-26T09:04:19.033Z",
            "name": "Test Channel",
            "priority": "NORMAL",
            "id": "X9S8jjBwgdK4yy1E9pMWi2"
        }
    ],
   "deliveryConfigurationsExist": true,
    "smsTopicSubscription": {
        "subscribed": true,
        "startDateStr": "2026-03-10T08:30:49Z"
    },
    "voiceTopicSubscription": {
        "subscribed": true,
        "startDateStr": "2026-03-10T08:31:04Z"
    }
}
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n    \"id\": \"0d1f49b8-aab3-4181-b4e3-26a9290f314f\",\n    \"name\": \"Syniverse Channels notification sender\",\n    \"provider\": \"CUSTOM_SYNIVERSE_CHANNELS\",\n    \"authToken\": \"{{syniverseAuthToken}}\",\n    \"channels\": [\n        {\n            \"selected\": true,\n            \"available\": true,\n            \"createdAt\": \"2026-01-26T09:04:18.916Z\",\n            \"name\": \"Voice Channel\",\n            \"priority\": \"NORMAL\",\n            \"id\": \"GXq1CJDblpOpwKFKWI3kG1\",\n            \"capabilities\": [\n                \"VOICE\"\n            ]\n        },\n        {\n            \"selected\": false,\n            \"available\": true,\n            \"createdAt\": \"2026-01-26T09:04:18.949Z\",\n            \"name\": \"SMS Channel\",\n            \"priority\": \"NORMAL\",\n            \"id\": \"cuOvbtxLJ9Wtv118vmXRi3\",\n            \"capabilities\": [\n                \"SMS\"\n            ]\n        },\n        {\n            \"selected\": false,\n            \"available\": true,\n            \"createdAt\": \"2026-01-26T09:04:19.033Z\",\n            \"name\": \"Test Channel\",\n            \"priority\": \"NORMAL\",\n            \"id\": \"X9S8jjBwgdK4yy1E9pMWi2\"\n        }\n    ],\n   \"deliveryConfigurationsExist\": true,\n    \"smsTopicSubscription\": {\n        \"subscribed\": true,\n        \"startDateStr\": \"2026-03-10T08:30:49Z\"\n    },\n    \"voiceTopicSubscription\": {\n        \"subscribed\": true,\n        \"startDateStr\": \"2026-03-10T08:31:04Z\"\n    }\n}");
Request request = new Request.Builder()
  .url("{{apiPath}}/environments/{{envID}}/notificationsSettings/phoneDeliverySettings/{{syniverseChannelsSenderId}}")
  .method("PUT", body)
  .addHeader("Content-Type", "application/json")
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
var settings = {
  "url": "{{apiPath}}/environments/{{envID}}/notificationsSettings/phoneDeliverySettings/{{syniverseChannelsSenderId}}",
  "method": "PUT",
  "timeout": 0,
  "headers": {
    "Content-Type": "application/json",
    "Authorization": "Bearer {{accessToken}}"
  },
  "data": JSON.stringify({
    "id": "0d1f49b8-aab3-4181-b4e3-26a9290f314f",
    "name": "Syniverse Channels notification sender",
    "provider": "CUSTOM_SYNIVERSE_CHANNELS",
    "authToken": "{{syniverseAuthToken}}",
    "channels": [
      {
        "selected": true,
        "available": true,
        "createdAt": "2026-01-26T09:04:18.916Z",
        "name": "Voice Channel",
        "priority": "NORMAL",
        "id": "GXq1CJDblpOpwKFKWI3kG1",
        "capabilities": [
          "VOICE"
        ]
      },
      {
        "selected": false,
        "available": true,
        "createdAt": "2026-01-26T09:04:18.949Z",
        "name": "SMS Channel",
        "priority": "NORMAL",
        "id": "cuOvbtxLJ9Wtv118vmXRi3",
        "capabilities": [
          "SMS"
        ]
      },
      {
        "selected": false,
        "available": true,
        "createdAt": "2026-01-26T09:04:19.033Z",
        "name": "Test Channel",
        "priority": "NORMAL",
        "id": "X9S8jjBwgdK4yy1E9pMWi2"
      }
    ],
    "deliveryConfigurationsExist": true,
    "smsTopicSubscription": {
      "subscribed": true,
      "startDateStr": "2026-03-10T08:30:49Z"
    },
    "voiceTopicSubscription": {
      "subscribed": true,
      "startDateStr": "2026-03-10T08:31:04Z"
    }
  }),
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
var request = require('request');
var options = {
  'method': 'PUT',
  'url': '{{apiPath}}/environments/{{envID}}/notificationsSettings/phoneDeliverySettings/{{syniverseChannelsSenderId}}',
  'headers': {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer {{accessToken}}'
  },
  body: JSON.stringify({
    "id": "0d1f49b8-aab3-4181-b4e3-26a9290f314f",
    "name": "Syniverse Channels notification sender",
    "provider": "CUSTOM_SYNIVERSE_CHANNELS",
    "authToken": "{{syniverseAuthToken}}",
    "channels": [
      {
        "selected": true,
        "available": true,
        "createdAt": "2026-01-26T09:04:18.916Z",
        "name": "Voice Channel",
        "priority": "NORMAL",
        "id": "GXq1CJDblpOpwKFKWI3kG1",
        "capabilities": [
          "VOICE"
        ]
      },
      {
        "selected": false,
        "available": true,
        "createdAt": "2026-01-26T09:04:18.949Z",
        "name": "SMS Channel",
        "priority": "NORMAL",
        "id": "cuOvbtxLJ9Wtv118vmXRi3",
        "capabilities": [
          "SMS"
        ]
      },
      {
        "selected": false,
        "available": true,
        "createdAt": "2026-01-26T09:04:19.033Z",
        "name": "Test Channel",
        "priority": "NORMAL",
        "id": "X9S8jjBwgdK4yy1E9pMWi2"
      }
    ],
    "deliveryConfigurationsExist": true,
    "smsTopicSubscription": {
      "subscribed": true,
      "startDateStr": "2026-03-10T08:30:49Z"
    },
    "voiceTopicSubscription": {
      "subscribed": true,
      "startDateStr": "2026-03-10T08:31:04Z"
    }
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
import requests
import json

url = "{{apiPath}}/environments/{{envID}}/notificationsSettings/phoneDeliverySettings/{{syniverseChannelsSenderId}}"

payload = json.dumps({
  "id": "0d1f49b8-aab3-4181-b4e3-26a9290f314f",
  "name": "Syniverse Channels notification sender",
  "provider": "CUSTOM_SYNIVERSE_CHANNELS",
  "authToken": "{{syniverseAuthToken}}",
  "channels": [
    {
      "selected": True,
      "available": True,
      "createdAt": "2026-01-26T09:04:18.916Z",
      "name": "Voice Channel",
      "priority": "NORMAL",
      "id": "GXq1CJDblpOpwKFKWI3kG1",
      "capabilities": [
        "VOICE"
      ]
    },
    {
      "selected": False,
      "available": True,
      "createdAt": "2026-01-26T09:04:18.949Z",
      "name": "SMS Channel",
      "priority": "NORMAL",
      "id": "cuOvbtxLJ9Wtv118vmXRi3",
      "capabilities": [
        "SMS"
      ]
    },
    {
      "selected": False,
      "available": True,
      "createdAt": "2026-01-26T09:04:19.033Z",
      "name": "Test Channel",
      "priority": "NORMAL",
      "id": "X9S8jjBwgdK4yy1E9pMWi2"
    }
  ],
  "deliveryConfigurationsExist": True,
  "smsTopicSubscription": {
    "subscribed": True,
    "startDateStr": "2026-03-10T08:30:49Z"
  },
  "voiceTopicSubscription": {
    "subscribed": True,
    "startDateStr": "2026-03-10T08:31:04Z"
  }
})
headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("PUT", url, headers=headers, data=payload)

print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/environments/{{envID}}/notificationsSettings/phoneDeliverySettings/{{syniverseChannelsSenderId}}');
$request->setMethod(HTTP_Request2::METHOD_PUT);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Content-Type' => 'application/json',
  'Authorization' => 'Bearer {{accessToken}}'
));
$request->setBody('{\n    "id": "0d1f49b8-aab3-4181-b4e3-26a9290f314f",\n    "name": "Syniverse Channels notification sender",\n    "provider": "CUSTOM_SYNIVERSE_CHANNELS",\n    "authToken": "{{syniverseAuthToken}}",\n    "channels": [\n        {\n            "selected": true,\n            "available": true,\n            "createdAt": "2026-01-26T09:04:18.916Z",\n            "name": "Voice Channel",\n            "priority": "NORMAL",\n            "id": "GXq1CJDblpOpwKFKWI3kG1",\n            "capabilities": [\n                "VOICE"\n            ]\n        },\n        {\n            "selected": false,\n            "available": true,\n            "createdAt": "2026-01-26T09:04:18.949Z",\n            "name": "SMS Channel",\n            "priority": "NORMAL",\n            "id": "cuOvbtxLJ9Wtv118vmXRi3",\n            "capabilities": [\n                "SMS"\n            ]\n        },\n        {\n            "selected": false,\n            "available": true,\n            "createdAt": "2026-01-26T09:04:19.033Z",\n            "name": "Test Channel",\n            "priority": "NORMAL",\n            "id": "X9S8jjBwgdK4yy1E9pMWi2"\n        }\n    ],\n   "deliveryConfigurationsExist": true,\n    "smsTopicSubscription": {\n        "subscribed": true,\n        "startDateStr": "2026-03-10T08:30:49Z"\n    },\n    "voiceTopicSubscription": {\n        "subscribed": true,\n        "startDateStr": "2026-03-10T08:31:04Z"\n    }\n}');
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
require "uri"
require "json"
require "net/http"

url = URI("{{apiPath}}/environments/{{envID}}/notificationsSettings/phoneDeliverySettings/{{syniverseChannelsSenderId}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Put.new(url)
request["Content-Type"] = "application/json"
request["Authorization"] = "Bearer {{accessToken}}"
request.body = JSON.dump({
  "id": "0d1f49b8-aab3-4181-b4e3-26a9290f314f",
  "name": "Syniverse Channels notification sender",
  "provider": "CUSTOM_SYNIVERSE_CHANNELS",
  "authToken": "{{syniverseAuthToken}}",
  "channels": [
    {
      "selected": true,
      "available": true,
      "createdAt": "2026-01-26T09:04:18.916Z",
      "name": "Voice Channel",
      "priority": "NORMAL",
      "id": "GXq1CJDblpOpwKFKWI3kG1",
      "capabilities": [
        "VOICE"
      ]
    },
    {
      "selected": false,
      "available": true,
      "createdAt": "2026-01-26T09:04:18.949Z",
      "name": "SMS Channel",
      "priority": "NORMAL",
      "id": "cuOvbtxLJ9Wtv118vmXRi3",
      "capabilities": [
        "SMS"
      ]
    },
    {
      "selected": false,
      "available": true,
      "createdAt": "2026-01-26T09:04:19.033Z",
      "name": "Test Channel",
      "priority": "NORMAL",
      "id": "X9S8jjBwgdK4yy1E9pMWi2"
    }
  ],
  "deliveryConfigurationsExist": true,
  "smsTopicSubscription": {
    "subscribed": true,
    "startDateStr": "2026-03-10T08:30:49Z"
  },
  "voiceTopicSubscription": {
    "subscribed": true,
    "startDateStr": "2026-03-10T08:31:04Z"
  }
})

response = http.request(request)
puts response.read_body
let parameters = "{\n    \"id\": \"0d1f49b8-aab3-4181-b4e3-26a9290f314f\",\n    \"name\": \"Syniverse Channels notification sender\",\n    \"provider\": \"CUSTOM_SYNIVERSE_CHANNELS\",\n    \"authToken\": \"{{syniverseAuthToken}}\",\n    \"channels\": [\n        {\n            \"selected\": true,\n            \"available\": true,\n            \"createdAt\": \"2026-01-26T09:04:18.916Z\",\n            \"name\": \"Voice Channel\",\n            \"priority\": \"NORMAL\",\n            \"id\": \"GXq1CJDblpOpwKFKWI3kG1\",\n            \"capabilities\": [\n                \"VOICE\"\n            ]\n        },\n        {\n            \"selected\": false,\n            \"available\": true,\n            \"createdAt\": \"2026-01-26T09:04:18.949Z\",\n            \"name\": \"SMS Channel\",\n            \"priority\": \"NORMAL\",\n            \"id\": \"cuOvbtxLJ9Wtv118vmXRi3\",\n            \"capabilities\": [\n                \"SMS\"\n            ]\n        },\n        {\n            \"selected\": false,\n            \"available\": true,\n            \"createdAt\": \"2026-01-26T09:04:19.033Z\",\n            \"name\": \"Test Channel\",\n            \"priority\": \"NORMAL\",\n            \"id\": \"X9S8jjBwgdK4yy1E9pMWi2\"\n        }\n    ],\n   \"deliveryConfigurationsExist\": true,\n    \"smsTopicSubscription\": {\n        \"subscribed\": true,\n        \"startDateStr\": \"2026-03-10T08:30:49Z\"\n    },\n    \"voiceTopicSubscription\": {\n        \"subscribed\": true,\n        \"startDateStr\": \"2026-03-10T08:31:04Z\"\n    }\n}"
let postData = parameters.data(using: .utf8)

var request = URLRequest(url: URL(string: "{{apiPath}}/environments/{{envID}}/notificationsSettings/phoneDeliverySettings/{{syniverseChannelsSenderId}}")!,timeoutInterval: Double.infinity)
request.addValue("application/json", forHTTPHeaderField: "Content-Type")
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "PUT"
request.httpBody = postData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()

Example Response

200 OK

{
    "_links": {
        "self": {
            "href": "https://api.pingone.eu/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/notificationsSettings/phoneDeliverySettings/0d1f49b8-aab3-4181-b4e3-26a9290f314f"
        },
        "environment": {
            "href": "https://api.pingone.eu/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        }
    },
    "id": "0d1f49b8-aab3-4181-b4e3-26a9290f314f",
    "environment": {
        "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
    },
    "name": "Syniverse Channels notification sender",
    "createdAt": "2026-03-10T08:32:37.546Z",
    "updatedAt": "2026-03-10T08:36:32.322Z",
    "provider": "CUSTOM_SYNIVERSE_CHANNELS",
    "channels": [
        {
            "selected": true,
            "available": true,
            "createdAt": "2026-01-26T09:04:18.916Z",
            "name": "Voice Channel",
            "priority": "NORMAL",
            "id": "GXq1CJDblpOpwKFKWI3kG1",
            "capabilities": [
                "VOICE"
            ]
        },
        {
            "selected": false,
            "available": true,
            "createdAt": "2026-01-26T09:04:18.949Z",
            "name": "SMS Channel",
            "priority": "NORMAL",
            "id": "cuOvbtxLJ9Wtv118vmXRi3",
            "capabilities": [
                "SMS"
            ]
        },
        {
            "selected": false,
            "available": true,
            "createdAt": "2026-01-26T09:04:19.033Z",
            "name": "Test Channel",
            "priority": "NORMAL",
            "id": "X9S8jjBwgdK4yy1E9pMWi2"
        }
    ],
    "deliveryConfigurationsExist": true,
    "smsTopicSubscription": {
        "subscribed": true,
        "startDateStr": "2026-03-10T08:30:49Z"
    },
    "voiceTopicSubscription": {
        "subscribed": true,
        "startDateStr": "2026-03-10T08:31:04Z"
    }
}